Index: org/postgresql/jdbc2/AbstractJdbc2Connection.java
===================================================================
RCS file: /usr/local/cvsroot/pgjdbc/pgjdbc/org/postgresql/jdbc2/AbstractJdbc2Connection.java,v
retrieving revision 1.23
diff -u -r1.23 AbstractJdbc2Connection.java
--- org/postgresql/jdbc2/AbstractJdbc2Connection.java	9 Nov 2004 08:48:29 -0000	1.23
+++ org/postgresql/jdbc2/AbstractJdbc2Connection.java	17 Nov 2004 18:31:12 -0000
@@ -595,6 +595,7 @@
      */
     public void setAutoCommit(boolean autoCommit) throws SQLException
     {
+        org.postgresql.Log.log("autoCommit: " + autoCommit, new Throwable());
         if (this.autoCommit == autoCommit)
             return ;
 
Index: org/postgresql/jdbc2/AbstractJdbc2Statement.java
===================================================================
RCS file: /usr/local/cvsroot/pgjdbc/pgjdbc/org/postgresql/jdbc2/AbstractJdbc2Statement.java,v
retrieving revision 1.50
diff -u -r1.50 AbstractJdbc2Statement.java
--- org/postgresql/jdbc2/AbstractJdbc2Statement.java	17 Nov 2004 02:43:49 -0000	1.50
+++ org/postgresql/jdbc2/AbstractJdbc2Statement.java	17 Nov 2004 18:31:16 -0000
@@ -355,8 +355,12 @@
                 flags |= QueryExecutor.QUERY_ONESHOT;
         }
 
-        if (connection.getAutoCommit())
+        if (connection.getAutoCommit()) {
             flags |= QueryExecutor.QUERY_SUPPRESS_BEGIN;
+            org.postgresql.Log.log("autocommit is on: " + connection.getClass(), new Throwable());
+        } else {
+            org.postgresql.Log.log("autocommit is off: " + connection.getClass(), new Throwable());
+        }
 
         StatementResultHandler handler = new StatementResultHandler();
         result = null;
